# Generated by Django 2.2.16 on 2020-11-28 18:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Skills',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Specialization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Vacancy',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('what_to_do', models.TextField()),
                ('key_requirements', models.TextField()),
                ('conditions', models.TextField()),
                ('years_of_experience', models.IntegerField()),
                ('key_skills', models.ManyToManyField(related_name='skills', to='hr_info.Skills')),
                ('specialization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='specs', to='hr_info.Specialization')),
            ],
        ),
        migrations.CreateModel(
            name='SpecializationPossibleTraits',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('text', models.TextField()),
                ('specialization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='traits', to='hr_info.Specialization')),
            ],
        ),
    ]
